/*
 *   <copyright 
 *   notice="lm-source-program" 
 *   pids="5724-H72" 
 *   years="2005,2014" 
 *   crc="2914864842" > 
 *   Licensed Materials - Property of IBM  
 *    
 *   5724-H72 
 *    
 *   (C) Copyright IBM Corp. 2005, 2014 All Rights Reserved.  
 *    
 *   US Government Users Restricted Rights - Use, duplication or  
 *   disclosure restricted by GSA ADP Schedule Contract with  
 *   IBM Corp.  
 *   </copyright> 
 */
package com.ibm.mq.explorer.jmsadmin.sample.menus;

import com.ibm.mq.explorer.ui.Common;
import com.ibm.mq.explorer.ui.extensions.ExplorerNotifyEvent;
import com.ibm.mq.explorer.ui.extensions.IExplorerNotify;

/**
 * Handles events from MQ Explorer
 */
public class MenusNotify implements IExplorerNotify {

  /** CMVC descriptors - expanded during extraction */
  public static final String SCCSID = "@(#) MQMBID sn=p921-L201112.1 su=_2BzneiUBEeu4UcI5ohy3pw pn=com.ibm.mq.explorer.jmsadmin.sample.menus/src/com/ibm/mq/explorer/jmsadmin/sample/menus/MenusNotify.java"; //$NON-NLS-1$
  /** Common copyright notice */
  public static final String COPYRIGHT_NOTICE = Common.SHORT_COPYRIGHT_STRING;

  /**
   * @see com.ibm.mq.explorer.ui.extensions.IExplorerNotify#explorerInitialised()
   */
  public void explorerInitialised() {
  // empty
  }

  /**
   * @see com.ibm.mq.explorer.ui.extensions.IExplorerNotify#queueManagerAdded(com.ibm.mq.explorer.ui.extensions.ExplorerNotifyEvent)
   */
  public void queueManagerAdded(ExplorerNotifyEvent event) {
  // empty
  }

  /**
   * @see com.ibm.mq.explorer.ui.extensions.IExplorerNotify#isPreventRemoveQueueManager(com.ibm.mq.explorer.ui.extensions.ExplorerNotifyEvent)
   */
  public boolean isPreventRemoveQueueManager(ExplorerNotifyEvent event) {
    return false;
  }

  /**
   * @see com.ibm.mq.explorer.ui.extensions.IExplorerNotify#isPreventDeleteQueueManager(com.ibm.mq.explorer.ui.extensions.ExplorerNotifyEvent)
   */
  public boolean isPreventDeleteQueueManager(ExplorerNotifyEvent event) {
    return false;
  }

  /**
   * @see com.ibm.mq.explorer.ui.extensions.IExplorerNotify#isPreventStopQueueManager(com.ibm.mq.explorer.ui.extensions.ExplorerNotifyEvent)
   */
  public boolean isPreventStopQueueManager(ExplorerNotifyEvent event) {
    return false;
  }

  /**
   * @see com.ibm.mq.explorer.ui.extensions.IExplorerNotify#queueManagerRemoved(com.ibm.mq.explorer.ui.extensions.ExplorerNotifyEvent)
   */
  public void queueManagerRemoved(ExplorerNotifyEvent event) {
  // empty
  }

  /**
   * @see com.ibm.mq.explorer.ui.extensions.IExplorerNotify#queueManagerDeleted(com.ibm.mq.explorer.ui.extensions.ExplorerNotifyEvent)
   */
  public void queueManagerDeleted(ExplorerNotifyEvent event) {
  // empty
  }

  /**
   * @see com.ibm.mq.explorer.ui.extensions.IExplorerNotify#queueManagerStopped(com.ibm.mq.explorer.ui.extensions.ExplorerNotifyEvent)
   */
  public void queueManagerStopped(ExplorerNotifyEvent event) {
  // empty
  }

  /**
   * @see com.ibm.mq.explorer.ui.extensions.IExplorerNotify#queueManagerStarted(com.ibm.mq.explorer.ui.extensions.ExplorerNotifyEvent)
   */
  public void queueManagerStarted(ExplorerNotifyEvent event) {
  // empty
  }

  /**
   * @see com.ibm.mq.explorer.ui.extensions.IExplorerNotify#queueManagerShown(com.ibm.mq.explorer.ui.extensions.ExplorerNotifyEvent)
   */
  public void queueManagerShown(ExplorerNotifyEvent event) {
  // empty
  }

  /**
   * @see com.ibm.mq.explorer.ui.extensions.IExplorerNotify#queueManagerHidden(com.ibm.mq.explorer.ui.extensions.ExplorerNotifyEvent)
   */
  public void queueManagerHidden(ExplorerNotifyEvent event) {
  // empty
  }

  /**
   * @see com.ibm.mq.explorer.ui.extensions.IExplorerNotify#viewOpened(com.ibm.mq.explorer.ui.extensions.ExplorerNotifyEvent)
   */
  public void viewOpened(ExplorerNotifyEvent event) {
  // empty
  }

  /**
   * @see com.ibm.mq.explorer.ui.extensions.IExplorerNotify#viewClosed(com.ibm.mq.explorer.ui.extensions.ExplorerNotifyEvent)
   */
  public void viewClosed(ExplorerNotifyEvent event) {
  // empty
  }

  /**
   * @see com.ibm.mq.explorer.ui.extensions.IExplorerNotify#pluginEnabled(com.ibm.mq.explorer.ui.extensions.ExplorerNotifyEvent)
   */
  public void pluginEnabled(ExplorerNotifyEvent event) {
  // empty
  }

  /**
   * @see com.ibm.mq.explorer.ui.extensions.IExplorerNotify#pluginDisabled(com.ibm.mq.explorer.ui.extensions.ExplorerNotifyEvent)
   */
  public void pluginDisabled(ExplorerNotifyEvent event) {
  // empty
  }

  /**
   * @see com.ibm.mq.explorer.ui.extensions.IExplorerNotify#explorerPreferenceChanged(com.ibm.mq.explorer.ui.extensions.ExplorerNotifyEvent)
   */
  public void explorerPreferenceChanged(ExplorerNotifyEvent event) {
  // empty
  }

  /**
   * @see com.ibm.mq.explorer.ui.extensions.IExplorerNotify#explorerClosing()
   */
  public void explorerClosing() {
  // empty
  }
}
